Commit e76757b5 authored by Christian Hergert's avatar Christian Hergert

release 3.26.3

parent c89094a0
==============
Version 3.26.3
==============
Changes since last release:
• Various improvements to for developing against the host system
when running Builder from a flatpak.
• Builder will set more fallback environment variable when running
under flatpak to ensure subprocesses have a predictable environment.
• Various fixes to the shortcut engine and how key-press are captured.
• Fixes for invalid cast in LSP format provider.
• Various correctness and memory leak fixes.
• Symbol tree will try additional symbol resolvers if the first one
returned with an empty set.
Updated Translations:
Slovak, Serbian
==============
Version 3.26.2
==============
......
......@@ -80,6 +80,22 @@
<translation type="gettext">gnome-builder</translation>
<releases>
<release version="3.26.3" date="2018-1-10">
<description>
<p>
This new release of Builder contains a number of bug fixes found
during the 3.26 cycle.
</p>
<ul>
<li>Various improvements to for developing against the host system when running Builder from a flatpak.</li>
<li>Builder will set more fallback environment variable when running under flatpak to ensure subprocesses have a predictable environment.</li>
<li>Various fixes to the shortcut engine and how key-press are captured.</li>
<li>Fixes for invalid cast in LSP format provider.</li>
<li>Various correctness and memory leak fixes.</li>
<li>Symbol tree will try additional symbol resolvers if the first one returned with an empty set.</li>
</ul>
</description>
</release>
<release version="3.26.2" date="2017-11-1">
<description>
<p>
......
project('gnome-builder', 'c',
license: 'GPL3+',
version: '3.26.2',
version: '3.26.3',
meson_version: '>= 0.40.1',
default_options: [
'c_std=gnu11',
......@@ -171,7 +171,7 @@ libgtk_dep = dependency('gtk+-3.0', version: '>= 3.22.1')
libpeas_dep = dependency('libpeas-1.0', version: '>= 1.22.0')
libm_dep = cc.find_library('m', required: false)
libjson_glib_dep = dependency('json-glib-1.0', version: '>= 1.2.0')
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.26.1', required: false)
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.26.2', required: false)
libtemplate_glib_dep = dependency('template-glib-1.0', version: '>= 3.26.1', required: false)
libjsonrpc_glib_dep = dependency('jsonrpc-glib-1.0', version: '>= 3.26.1',
fallback: ['jsonrpc-glib', 'libjsonrpc_glib_dep'],
......
Subproject commit 3cac93a18dd95572027d9817c0ea046838f8bcb9
Subproject commit 7bf039c9dce269f0b6d1a642eda6a36f434dc466
libdazzle @ a078dd50
Subproject commit 05543e750afbfa1d84ec06135c18fd687dd78f0e
Subproject commit a078dd5013a624619c54a3373759471eef647169
Subproject commit b9a332a2baadfa7aaa46c16e1084a82489539b8f
Subproject commit e0015af64131206eadc3333427f3c9396ccc607d
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment